egg-scripts 命令注入漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1279490 漏洞类型 操作系统命令注入
发布时间 2018-08-27 更新时间 2019-10-17
CVE编号 CVE-2018-3786 CNNVD-ID CNNVD-201808-823
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201808-823
|漏洞详情
egg-scripts是一款用于部署egg项目的部署工具,它主要用于部署、运行和管理egg项目。 egg-scripts 2.8.1之前版本中存在命令注入漏洞。攻击者可借助恶意制作的命令行参数利用该漏洞执行任意的shell命令。
|参考资料

来源:github.com

链接:https://github.com/eggjs/egg-scripts/blob/2.8.1/History.md


来源:github.com

链接:https://github.com/eggjs/egg-scripts/pull/26


来源:hackerone.com

链接:https://hackerone.com/reports/388936